Users
View and manage users in your organization
Get Current User
Returns the profile information of the currently authenticated user. This endpoint is only available when authenticating via OAuth (for example through MCP). Requests authenticated with an API key receive a 403 response.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get Current User › Responses
OK
List Users
This endpoint returns a list of all users within your Common Paper organization.
query Parameters
filter[email_eq]Filter users by exact email address.
filter[email_cont]Filter users where the email contains the given value.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
List Users › Responses
OK
Get User
This endpoint returns the profile information of a specific user within your Common Paper accouunt based on their uuid. Returns the user's profile information, such as their name, email, and role.
path Parameters
idThe UUID of the resource.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get User › Responses
OK